petsc-3.6.2 2015-10-02
Report Typos and Errors

# PCFactorSetMatOrderingType

Sets the ordering routine (to reduce fill) to be used in the LU factorization.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCFactorSetMatOrderingType(PC pc,MatOrderingType ordering)

Logically Collective on PC

### Input Parameters

| pc | - the preconditioner context
| ordering | - the matrix ordering name, for example, MATORDERINGND or MATORDERINGRCM

### Options Database Key

-pc_factor_mat_ordering_type <nd,rcm,...> -Sets ordering routine

Notes: nested dissection is used by default

For Cholesky and ICC and the SBAIJ format reorderings are not available, since only the upper triangular part of the matrix is stored. You can use the SeqAIJ format in this case to get reorderings.

Level:intermediate
Location:src/ksp/pc/impls/factor/factor.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages